## Smart Signal Processing


### What the package can do for you
This package provides frequently used functions for signal processing:
- Computes mean values, variance, standard deviation.
- Applies windowing (apodization functions) with exponential or Gaussian shapes to an array
- Applies the Fast Fourier Transform, to an array.
- Calculates the power or magnitude of a complex-valued array
- Phase-shifts (rotates in the complex plane) the a complex-valued array


### The major API functionalities
 
- classes `Sigma`, `BaseLine`, `WinFunc`,`FFT`, `Phase`.



Examples: 

- Multiplication with an exponential:

  `WinFunc.expMult(array, decayFactor, false, "0");`
 
- Compute Fourier Transform:

  `FFT.transform(reals, imags);`

- Compute magnitude:

  `Phase.magnitude(reals, imags, true)`
  
- Compute variance in a region:  
  `Sigma.variance(array, ixstart, ixend)`
 


#### Detailed API
Please view the detailed API documentation in the `API` reference of this package (sidebar at the right of this page).



### Related packages

[Click here to go to the `smart_` series of Dart packages](https://smart.specpad.bplaced.net)

